Package org.drinkless.tdlib

# Class TdApi.StoryPrivacySettingsContacts

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StoryPrivacySettings
org.drinkless.tdlib.TdApi.StoryPrivacySettingsContacts

Enclosing class:
  TdApi

public static class TdApi.StoryPrivacySettingsContacts extends TdApi.StoryPrivacySettings
The story can be viewed by all contacts except chosen users.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StoryPrivacySettings

  `TdApi.StoryPrivacySettings.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long[]`
  `exceptUserIds`
  User identifiers of the contacts that can't see the story; always unknown and empty for non-owned stories.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StoryPrivacySettingsContacts()`
  The story can be viewed by all contacts except chosen users.
  `StoryPrivacySettingsContacts(long[] exceptUserIds)`
  The story can be viewed by all contacts except chosen users.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### exceptUserIds

    public long[] exceptUserIds
    User identifiers of the contacts that can't see the story; always unknown and empty for non-owned stories.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StoryPrivacySettingsContacts

    public StoryPrivacySettingsContacts()
    The story can be viewed by all contacts except chosen users.

  - ### StoryPrivacySettingsContacts

    public StoryPrivacySettingsContacts(long[] exceptUserIds)
    The story can be viewed by all contacts except chosen users.
    Parameters:
      `exceptUserIds` - User identifiers of the contacts that can't see the story; always unknown and empty for non-owned stories.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StoryPrivacySettings`
    Returns:
      this.CONSTRUCTOR